package com.unis.safety.api.safety;

import com.unis.common.utils.ResponseWrapper;
import com.unis.safety.common.vo.safety.AccidentVO;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Author liugd
 *  事故管理
 */
@RequestMapping("accident")
public interface AccidentApi {

    //事故管理-新增
    @PostMapping("/insertAccident")
    public ResponseWrapper insertAccident(@RequestBody AccidentVO vo);

    //事故管理-修改
    @PostMapping("/updateAccident")
    public ResponseWrapper updateAccident(@RequestBody AccidentVO vo);

    //事故管理-删除
    @PostMapping("/deleteAccident")
    public ResponseWrapper deleteAccident(@RequestBody AccidentVO vo);

 	//事故管理-分页查询列表
    @PostMapping("/selectAccidentPageList")
    public ResponseWrapper selectAccidentPageList(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                  @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
                                                  @RequestBody AccidentVO vo);

    //事故管理-查询单个
    @PostMapping("/selectAccidentDetail")
    public ResponseWrapper selectAccidentDetail(@RequestBody AccidentVO vo);

    //事故管理-查询全部数据
    @PostMapping("/selectAccidentAll")
    public ResponseWrapper selectAccidentAll(@RequestBody AccidentVO vo);
    
    //安全事故统计报表
    @PostMapping("/selectAccidentStatement")
    public ResponseWrapper selectAccidentStatement(String createDate);

    //安全事故统计表-根据条件导出数据
    @PostMapping(value="/exportByEntity")
	public void exportByEntity(String createDate);
}