package com.unis.safety.api.safety;

import com.unis.common.utils.ResponseWrapper;
import com.unis.safety.common.vo.safety.ProdSystemVo;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

/**
 * @author by PIG
 * @date 2022/3/17 14
 */
public interface ProdSystemApi {

    @PostMapping(value = "/prod_system/page_info/{pageNum}/{pageSize}")
    ResponseWrapper pageInfo(@RequestBody ProdSystemVo viewObj,
                             @PathVariable("pageNum")Integer pageNum,
                             @PathVariable("pageSize") Integer pageSize);

    @GetMapping(value = "/prod_system/info/{fid}")
    ResponseWrapper getInfoById(@PathVariable("fid") String fid);

    @PostMapping(value = "/prod_system/info")
    ResponseWrapper insertInfo(@RequestBody ProdSystemVo viewObj);

    @PutMapping(value = "/prod_system/info")
    ResponseWrapper updateInfo(@RequestBody ProdSystemVo viewObj);

    @PutMapping(value = "/prod_system/info/{fid}")
    ResponseWrapper removeInfo(@PathVariable("fid") String fid);

    @DeleteMapping(value = "/prod_system/info/{fid}")
    ResponseWrapper deleteInfo(@PathVariable("fid") String fid);
}
