package com.unis.safety.api.safety;

import com.unis.common.utils.ResponseWrapper;
import com.unis.safety.common.vo.safety.TrainingVO;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Author liugd
 *  培训管理
 */
@RequestMapping("training")
public interface TrainingApi {

    //培训管理-新增
    @PostMapping("/insertTraining")
    public ResponseWrapper insertTraining(@RequestBody TrainingVO vo);

    //培训管理-修改
    @PostMapping("/updateTraining")
    public ResponseWrapper updateTraining(@RequestBody TrainingVO vo);

    //培训管理-修改
    @PostMapping("/uploadTraining")
    public ResponseWrapper uploadTraining(@RequestBody TrainingVO vo);

 	//培训管理-分页查询列表
    @PostMapping("/selectTrainingPageList")
    public ResponseWrapper selectTrainingPageList(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                  @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
                                                  @RequestBody TrainingVO vo);

    //培训管理-查询单个
    @PostMapping("/selectTrainingDetail/{id}")
    public ResponseWrapper selectTrainingDetail(@RequestParam("id") String id);

    //培训管理-删除
    @PostMapping("/deleteTraining/{id}")
    public ResponseWrapper deleteTraining(@RequestParam("id") String id);

    //培训管理-查询全部数据
    @PostMapping("/selectTrainingAll")
    public ResponseWrapper selectTrainingAll(@RequestBody TrainingVO vo);
}