package com.unis.safety.client;

import java.util.List;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import com.unis.common.utils.ResponseWrapper;

/**
 * @author lidiaoquan
 * @version 1.0
 * @Title: FileFeign
 * @ProjectName fileservice
 * @Description: file层fegin接口
 * @date 2019年7月30日 下午5:29:47
 */
@FeignClient("file")
@Component
public interface FileClient {

	@PostMapping({"/file/findById}"})
	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 根据id查询
	 * @Date 2019年7月30日 下午5:33:46
	 * @param groupId
	 * @return ResponseWrapper
	 */
	public ResponseWrapper findById(@RequestParam("id") Integer groupId);

	@GetMapping({"/file/findByIds}"})
	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 根据多个id查询
	 * @Date 2019年7月30日 下午5:34:03
	 * @param idList
	 * @return ResponseWrapper
	 */
	public ResponseWrapper findByIds(@RequestParam(value="ids", required = false) List<String> idList);
}
