package com.unis.safety.client;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;
/**
 * 
     * @ClassName: UserClient
     * @Description: 用户中心
     * @author huyong
     * @date 2019年9月5日
     *
 */

import com.unis.common.utils.ResponseWrapper;
@FeignClient(name = "myuser")
@Component
public interface UserClient {

	@GetMapping("/user/getUserByRole")
	public ResponseWrapper getUserByRole(@RequestParam(value="roleCode") List<String> roleCode);

	@GetMapping("/config/fingParaConfigList/{paraCode}")
	public ResponseWrapper fingParaConfigList(@PathVariable("paraCode") String paraCode);

	@PostMapping("/user/findUser/{deptsign}/{deptId}")
	public ResponseWrapper findUser(@PathVariable("deptsign") String deptsign, @PathVariable("deptId") String deptId);

	@GetMapping("/user/findUsers")
	public ResponseWrapper findUsers(@RequestParam(value="deptsign") String deptsign, @RequestParam(value="deptId") String deptId);

	@GetMapping("/user/findByDeptCode/{deptCode}")
	public ResponseWrapper findByDeptCode(@PathVariable("deptCode") String deptCode);
}
