package com.unis.safety.common.vo.safety;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Author liugd
 * Description 事故管理主表
 */
@ApiModel(value = "事故管理")
@Data
public class AccidentVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ac+8位顺序号  编码", notes ="", required = false)
    private String acbm;

    @ApiModelProperty(value = "企业名称", notes ="", required = false)
    private String dwmc;

    @ApiModelProperty(value = "企业编码", notes ="", required = false)
    private String dwbm;

    @ApiModelProperty(value = "事故发生地", notes ="", required = false)
    private String address;

    @ApiModelProperty(value = "发生时间", notes ="发生时间")
    //@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    //@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private String fssj;

    @ApiModelProperty(value = "事故等级", notes ="", required = false)
    private Integer sgdj;

    @ApiModelProperty(value = "事故等级名称", notes ="", required = false)
    private String sgdjmc;

    @ApiModelProperty(value = "损失情况", notes ="", required = false)
    private String ssqk;

    @ApiModelProperty(value = "受伤人数", notes ="", required = false)
    private Integer ssnum;

    @ApiModelProperty(value = "死亡人数", notes ="", required = false)
    private Integer swnum;

    @ApiModelProperty(value = "发生原因", notes ="", required = false)
    private String fsyy;

    @ApiModelProperty(value = "处理情况", notes ="", required = false)
    private String clqk;

    @ApiModelProperty(value = "上报人", notes ="", required = false)
    private String sbr;

    @ApiModelProperty(value = "上报时间", notes ="上报时间")
   // @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    //@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private String sbsj;

    @ApiModelProperty(value = "上报单位名称", notes ="", required = false)
    private String sbdwmc;

    @ApiModelProperty(value = "上报单位", notes ="", required = false)
    private String sbdw;

    private String pageType;

    private String ckzt;

    @ApiModelProperty(value = "事故状态 0 待提交 1 已提交", notes ="", required = false)
    private String sbzt;

    @ApiModelProperty(value = "事故状态名称", notes ="", required = false)
    private String sbztmc;

    private List<AccidentRecordVO> accidentRecordVOList;

}
