package com.unis.safety.common.vo.safety;


import com.unis.safety.common.vo.UrlVO;
import com.unis.safety.common.vo.backlog.ReceiverCollectionVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Author liugd
 * Description 值班安排
 */
@ApiModel(value = "值班安排主表")
@Data
public class DutyVO extends UrlVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "dy+8位顺序号  编码", notes ="", required = false)
    private String dybm;

    @ApiModelProperty(value = "单位名称", notes ="", required = false)
    private String dwmc;

    @ApiModelProperty(value = "单位编码", notes ="", required = false)
    private String dwbm;

    @ApiModelProperty(value = "上级单位编码", notes ="", required = false)
    private String sjdwbm;

    @ApiModelProperty(value = "计划时间", notes ="", required = false)
    private String jhsj;

    @ApiModelProperty(value = "附件", notes ="", required = false)
    private String fjid;

    @ApiModelProperty(value = "上报人", notes ="", required = false)
    private String sbr;

    @ApiModelProperty(value = "数据等级 0 市局 1 区粮办 2 企业", notes ="", required = false)
    private String sjdj;

    @ApiModelProperty(value = "上报时间", notes ="上报时间")
    //@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    //@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private String sbsj;

    @ApiModelProperty(value = "事故状态 0 待提交 1 已提交", notes ="", required = false)
    private String sbzt;

    @ApiModelProperty(value = "事故状态名称", notes ="", required = false)
    private String sbztmc;

    private String ckzt;

    private String pageType;

    private String records;

    @ApiModelProperty(value = "每月记录状态 0 待提交 1 已提交", notes ="", required = false)
    private String jlzt;

    private List<ReceiverCollectionVO> userList;

    private List<DutyRecordVO> dutyRecordVOS;

    @ApiModelProperty(value = "路径")
    public String url;
    @ApiModelProperty(value = "路径")
    public String itemUrlHaveDone;
    @ApiModelProperty(value = "事项状态")
    public String itemStatus;
    @ApiModelProperty(value = "详情跳转参数 ")
    private String itemQuery; //
    @ApiModelProperty(value = "详情跳转参数 ")
    private String itemQueryHaveDone;
}
