package com.unis.safety.common.vo.safety;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.utils.CurrentUtil;
import com.unis.safety.common.vo.BaseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import javax.persistence.Column;

/**
 * @author by PIG
 * @date 2022/3/16 11
 */
@Data
@ApiModel("安全生产制度")
public class ProdSystemVo extends BaseVO {

    @ApiModelProperty(value = "主键")
    private String fid;
    @ApiModelProperty(value = "文件名称")
    private String filename;
    @ApiModelProperty(value = "文件id")
    private String file_id;
    @ApiModelProperty(value = "类别")
    private String sys_type;
    @ApiModelProperty(value = "上传时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date upload_time;
    @ApiModelProperty(value = "上传人")
    private String upload_user;

    @ApiModelProperty(value = "上传时间")
    private String[] upload_times;

    @ApiModelProperty(value = "上传时间")
    private String upload_time_begin;

    @ApiModelProperty(value = "上传时间")
    private String upload_time_end;
    
    @ApiModelProperty(value = "单位id", notes ="单位id")
	@Column(name="org_id")
	private String orgId;
    
    @ApiModelProperty(value = "单位名称", notes ="单位名称")
	@Column(name="org_name")
	private String orgName;
    
    
    //业务字段
    private String countyCode;
    
    
    
	/**
	 * 后续加上创建人等信息
	 */
	public void buildInsertData(){
		orgId= CurrentUtil.getOrgId();
		orgName=CurrentUtil.getOrgName();
	}

	/**
	 * 后续加上修改人等信息
	 */
	public void buildUpdateData(){
		orgId= CurrentUtil.getOrgId();
		orgName=CurrentUtil.getOrgName();
	}
}
