package com.unis.safety.server.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebConfig implements WebMvcConfigurer {

	@Autowired
	SecurityInterceptor securityInterceptor;

	/**
	 * 拦截器配置
	 * @param registry
	 */
	@Override
	public void addInterceptors(InterceptorRegistry registry) {
		// 注册监控拦截器
		registry.addInterceptor(securityInterceptor)
				.addPathPatterns(
					"/client/**"
					,"/manager/**"
				).excludePathPatterns(
					"/visitor/**"
					,"/**/selectAll*"
				);
	}

}
