package com.unis.safety.server.controller.safety;

import com.unis.common.utils.ResponseWrapper;
import com.unis.safety.common.vo.safety.TrainingVO;
import com.unis.safety.server.service.TrainingService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * Author liugd
 *  培训管理
 */
@RestController
@RequestMapping(value = "/training")
@Api(value = "培训管理", tags = "培训管理")
public class TrainingController {
   
    @Autowired
    private TrainingService trainingService;

 	//培训管理-新增
 	@ApiOperation(value = "培训管理-新增", notes = "参数：TrainingVO")
    @PostMapping(value = "/insertTraining")
    public ResponseWrapper insertTraining(@RequestBody  TrainingVO vo) {
		try {
			return trainingService.insertTraining(vo);
		} catch (Exception e) {
			e.printStackTrace();
			return ResponseWrapper.error();
		}
	}

	//培训管理-修改
 	@ApiOperation(value = "培训管理-修改", notes = "参数：TrainingVO")
    @PostMapping(value = "/updateTraining")
    public ResponseWrapper updateTraining(@RequestBody TrainingVO vo) {
		try {
			return trainingService.updateTraining(vo);
		} catch (Exception e) {
			e.printStackTrace();
			return ResponseWrapper.error();
		}
	}

	//培训管理-修改
	@ApiOperation(value = "培训管理-修改", notes = "参数：TrainingVO")
	@PostMapping(value = "/uploadTraining")
	public ResponseWrapper uploadTraining(@RequestBody TrainingVO vo) {
		try {
			return trainingService.uploadTraining(vo);
		} catch (Exception e) {
			e.printStackTrace();
			return ResponseWrapper.error();
		}
	}

	//培训管理-分页列表
	@ApiOperation(value = "培训管理-分页列表", notes = "参数：TrainingVO")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query"),
        @ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
    })	
    @PostMapping(value = "/selectTrainingPageList")
    public ResponseWrapper selectTrainingPageList(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum
        ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
        ,@RequestBody TrainingVO vo) {
       	try {
			return trainingService.selectTrainingPageList(pageNum,pageSize,vo);
		} catch (Exception e) {
			e.printStackTrace();
			return ResponseWrapper.error();
		}
    }
    
 /*   //培训管理-列表全部数据
    @ApiOperation(value = "培训管理-列表全部数据", notes = "参数：TrainingVO")
    @PostMapping(value = "/selectTrainingAll")
    public ResponseWrapper selectTrainingAll(@RequestBody TrainingVO vo) {
       	try {
			return trainingService.selectTrainingAll(vo);
		} catch (Exception e) {
			e.printStackTrace();
			return ResponseWrapper.error();
		}
    }*/

	//培训管理-查看--返回单条
	@ApiOperation(value = "培训管理--查看--返回单条", notes = "参数：TrainingVO")
	@PostMapping(value = "/selectTrainingDetail/{id}")
    public ResponseWrapper selectTrainingDetail(@PathVariable("id") String id) {
       	try {
			return trainingService.selectTrainingDetail(id);
		} catch (Exception e) {
			e.printStackTrace();
			return ResponseWrapper.error();
		}
    }

	//培训管理-查看--返回单条
	@ApiOperation(value = "培训管理--删除--返回单条", notes = "参数：TrainingVO")
	@PostMapping(value = "/deleteTraining/{id}")
	public ResponseWrapper deleteTraining(@PathVariable("id") String id) {
		try {
			return trainingService.deleteTraining(id);
		} catch (Exception e) {
			e.printStackTrace();
			return ResponseWrapper.error();
		}
	}
}
