package com.unis.safety.server.entity.base;

import java.io.Serializable;
import java.util.Date;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.utils.CurrentUtil;
import com.unis.safety.common.constant.BaseStatusConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;

@Data
public class BaseDO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "状态#<默认值:1>1：正常，0：已作废（用做是否删除）", notes ="状态", required = false)
	@Column(name="STATUS")
	private Integer status;

	@ApiModelProperty(value = "创建人", notes ="创建人", required = false)
	@Column(name="CREATOR")
	private String creator;

	@ApiModelProperty(value = "创建人编码", notes ="创建人编码", required = false)
	@Column(name="CREATOR_CODE")
	private String creatorCode;

	@ApiModelProperty(value = "创建时间#<默认值:current>", notes ="创建时间", required = false)
	@Column(name="CREATE_DATE")
	@DateTimeFormat( pattern = "yyyy-MM-dd")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
	private Date createDate;

	@ApiModelProperty(value = "更新人", notes ="更新人", required = false)
	@Column(name="REFRESHER")
	private String refresher;

	@ApiModelProperty(value = "更新人编码", notes ="更新人编码", required = false)
	@Column(name="REFRESHER_CODE")
	private String refresherCode;

	@ApiModelProperty(value = "更新时间#<默认值:current>", notes ="更新时间", required = false)
	@Column(name="REFRESH_TIME")
	@DateTimeFormat( pattern = "yyyy-MM-dd")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "PRC")
	private Date refreshTime;

	@ApiModelProperty(value = "备注", notes ="备注", required = false)
	@Column(name="REMARK")
	private String remark;

	public BaseDO(){
		this.status= BaseStatusConstant.STATUS_NORMAL;
	}

	/**
	 * 后续加上创建人等信息
	 */
	public void buildInsertData(){
		Date date=new Date();
		status=1;
		createDate=date;
		refreshTime=date;
		creator= CurrentUtil.getUserAccount();
		creatorCode=CurrentUtil.getUserId();
	}

	/**
	 * 后续加上修改人等信息
	 */
	public void buildUpdateData(){
		Date date=new Date();
		refreshTime=date;
		refresher=CurrentUtil.getUserAccount();
		refresherCode=CurrentUtil.getUserId();
	}
}
