package com.unis.safety.server.entity.safety;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.utils.CurrentUtil;
import com.unis.safety.server.entity.base.BaseDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * 安全生产制度
 *
 * @author by PIG
 * @date 2022/3/16 10
 */
@Data
@Table(name="sp_prod_system")
public class ProdSystemDo extends BaseDO {

    @ApiModelProperty(value = "主键")
    private String fid;
    @ApiModelProperty(value = "文件名称")
    private String filename;
    @ApiModelProperty(value = "文件id")
    private String file_id;
    @ApiModelProperty(value = "类别")
    private String sys_type;
    @ApiModelProperty(value = "上传时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date upload_time;
    @ApiModelProperty(value = "上传人")
    private String upload_user;
    
    @ApiModelProperty(value = "单位id", notes ="单位id", required = false)
	@Column(name="org_id")
	private String orgId;
    
    @ApiModelProperty(value = "单位名称", notes ="单位名称", required = false)
	@Column(name="org_name")
	private String orgName;
    
    /**
	 * 后续加上创建人等信息
	 */
	public void buildInsertData(){
		orgId= CurrentUtil.getOrgId();
		orgName=CurrentUtil.getOrgName();
	}

	/**
	 * 后续加上修改人等信息
	 */
	public void buildUpdateData(){
		orgId= CurrentUtil.getOrgId();
		orgName=CurrentUtil.getOrgName();
	}

}
