package com.unis.safety.server.entity.safety;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.safety.server.entity.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * Author liugd
 * Description 培训管理
 */
@Data
@Table(name = "sp_training")
public class TrainingDO extends BaseDO {
    private static final long serialVersionUID = 1L;
    @Id
    private String pxbm;
    @ApiModelProperty(value = "培训标题", notes ="", required = false)
    private String title;
    @ApiModelProperty(value = "培训类型", notes ="", required = false)
    private String pxlx;
    @ApiModelProperty(value = "培训类型名称", notes ="", required = false)
    private String pxlxmc;
    @ApiModelProperty(value = "培训地点", notes ="", required = false)
    private String pxdd;
    @ApiModelProperty(value = "参加部门", notes ="", required = false)
    private String cjdw;
    private String cjdws;
    @ApiModelProperty(value = "参加部门名称", notes ="", required = false)
    private String cjdwmc;
    @ApiModelProperty(value = "区粮办是否参加", notes ="", required = false)
    private String isqlb;
    @ApiModelProperty(value = "区粮办编码", notes ="", required = false)
    private String qlbbm;
    @ApiModelProperty(value = "区粮办", notes ="", required = false)
    private String qlbmc;
    @ApiModelProperty(value = "培训内容", notes ="", required = false)
    private String pxnr;
    @ApiModelProperty(value = "培训时间", notes ="", required = false)
    private String pxsj;
    @ApiModelProperty(value = "培训时长", notes ="", required = false)
    private String pxsc;
    @ApiModelProperty(value = "培训人", notes ="", required = false)
    private String pxr;
    @ApiModelProperty(value = "发起部门", notes ="", required = false)
    private String fqdw;
    @ApiModelProperty(value = "发起部门", notes ="", required = false)
    private String fqdwmc;
    @ApiModelProperty(value = "附件", notes ="", required = false)
    private String fjid;
    @ApiModelProperty(value = "创建人", notes ="", required = false)
    private String cjr;
    @ApiModelProperty(value = "创建时间", notes ="上报时间", hidden = true)
    //@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    //@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private String cjsj;
    @ApiModelProperty(value = "是否结束", notes ="", required = false)
    private String isend;
    @ApiModelProperty(value = "提交状态 0 待提交 1 已提交", notes ="", required = false)
    private String tjzt;

    @ApiModelProperty(value = "提交状态名称", notes ="", required = false)
    private String tjztmc;

    @ApiModelProperty(value = "培训状态 0 准备中 1 进行中 2 会议结束", notes ="", required = false)
    private String pxzt;

    @ApiModelProperty(value = "培训状态名称", notes ="", required = false)
    private String pxztmc;
    private String bcfj;
    private String cjrys;
    private String cjry;

}
