package com.unis.safety.server.service;

import com.unis.common.utils.DateUtil;
import com.unis.safety.common.vo.safety.TrainingVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;


/**
 * Created by admin on 2017/12/4.
 */
@Component
@Slf4j
@Lazy(false)
public class TrainingTimer {

	@Autowired
	private TrainingService trainingService;

	@Scheduled(cron = "0 0 */1 * * ?")//每天晚上12点05执行
	public  void dowork(){
		String sign= DateUtil.getCurrentStringDate();
		log.info("------报名状态轮询开始",sign);
		try {
			execute(sign);
		} catch (Exception e) {
			e.printStackTrace();
		}
		log.info("---报名状态轮询结束",sign);

	}

	public void execute(String sign) throws Exception{
		log.info("===================================定时修改状态轮询开始======================================================================");
		List<TrainingVO> trainingVOS = trainingService.selectTrainingList(DateUtil.DateToStr(new Date(),"yyyy-MM-dd"));
			for(TrainingVO trainingVO:trainingVOS){
				SimpleDateFormat dateFormat=new SimpleDateFormat("yyyy-MM-dd HH");
				java.util.Date nows=new java.util.Date();
				java.util.Date date=dateFormat.parse(trainingVO.getPxsj());
				boolean hous=nows.getTime()>=date.getTime();
				if(hous){
					trainingVO.setPxzt("1");
					trainingService.updateTrain(trainingVO);
				}
			}

		log.info("===================================定时修改状态轮询结束======================================================================");
	}
}
