package com.unis.safety.server.service.impl;

import com.github.pagehelper.Page;
import com.unis.common.utils.ResponseWrapper;
import com.unis.safety.common.dto.base.PageResult;
import com.unis.safety.common.vo.safety.AccidentVO;
import com.unis.safety.server.domain.safety.AccidentDomain;
import com.unis.safety.server.entity.safety.AccidentStatementDO;
import com.unis.safety.server.service.AccidentService;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.BorderStyle;
import org.apache.poi.ss.usermodel.FillPatternType;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.IndexedColors;
import org.apache.poi.ss.usermodel.VerticalAlignment;
import org.apache.poi.ss.util.CellRangeAddress;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 事故管理实现层
 * @author liugd
 */
@Component
public class AccidentServiceImpl implements AccidentService{

    @Autowired
    AccidentDomain accidentDomain;
    @Override
    public ResponseWrapper insertAccident(AccidentVO vo) {
        return accidentDomain.insertAccident(vo);
    }

    @Override
    public ResponseWrapper updateAccident(AccidentVO vo) {
        return accidentDomain.updateAccident(vo);
    }

    @Override
    public ResponseWrapper selectAccidentPageList(int pageNum, int pageSize, AccidentVO vo) {
        Page<AccidentVO> voPage=accidentDomain.selectAccidentPageList(pageNum,pageSize,vo);
        PageResult<AccidentVO> pageResult=new PageResult<>(voPage);
        return ResponseWrapper.success(pageResult);
    }


    @Override
    public ResponseWrapper selectAccidentDetail(AccidentVO vo) {
        return accidentDomain.selectAccidentDetail(vo);
    }

    @Override
    public ResponseWrapper deleteAccident(AccidentVO vo) {
        return accidentDomain.deleteAccident(vo);
    }

	@Override
	public ResponseWrapper selectAccidentStatement(String createDate) {
		// TODO Auto-generated method stub
		
		Map<String,Object> map1 = new HashMap<String,Object>();
		map1.put("createDate", createDate);
		List<AccidentStatementDO> list = accidentDomain.selectAccidentStatement(map1);
        
		List<AccidentStatementDO> qumcList = accidentDomain.selectQymc(map1);
		Map<String,Object> map = new HashMap<String,Object>();

		
		List<AccidentStatementDO> returnList = new ArrayList<AccidentStatementDO>();
		for (AccidentStatementDO accidentStatementDO : qumcList) {
			System.out.println(accidentStatementDO+"///");
			//map.put("quyumc", accidentStatementDO.getDictName());
			AccidentStatementDO returnAccdent = new AccidentStatementDO();
			if(accidentStatementDO != null && accidentStatementDO.getQymc() != null){
				returnAccdent.setQymc(accidentStatementDO.getQymc());
				for (int i = 0; i < list.size(); i++) {
					if(returnAccdent.getQymc().equals(list.get(i).getQymc())){
						if(list.get(i).getSgdjmc().equals("一级")){
							//map.put("yiji", list.get(i).getSgdjsl());
							returnAccdent.setYijicount(list.get(i).getSgdjsl());
						}else if(list.get(i).getSgdjmc().equals("二级")){
							//map.put("erji", list.get(i).getSgdjsl());
							returnAccdent.setErjicount(list.get(i).getSgdjsl());
						}else if(list.get(i).getSgdjmc().equals("三级")){
							//map.put("sanji", list.get(i).getSgdjsl());
							returnAccdent.setSanjicount(list.get(i).getSgdjsl());
						}else if(list.get(i).getSgdjmc().equals("四级")){
							//map.put("siji", list.get(i).getSgdjsl());
							returnAccdent.setSijicount(list.get(i).getSgdjsl());
						}else if(list.get(i).getSgdjmc().equals("五级")){
							//map.put("wuji", list.get(i).getSgdjsl());
							returnAccdent.setWujicount(list.get(i).getSgdjsl());
						}
						
						if(returnAccdent.getSsrs() != null){
							returnAccdent.setSsrs(list.get(i).getSsrs()+returnAccdent.getSsrs());
						}else{
							returnAccdent.setSsrs(list.get(i).getSsrs());

						}
						
						if(returnAccdent.getSwrs()!=null){
							returnAccdent.setSwrs(list.get(i).getSwrs()+returnAccdent.getSwrs());
						}else{
							returnAccdent.setSwrs(list.get(i).getSwrs());

						}
					}
				}
				
				if(returnAccdent.getYijicount() == null){
					returnAccdent.setYijicount(0);
				} if(returnAccdent.getErjicount() == null){
					returnAccdent.setErjicount(0);
				} if(returnAccdent.getSanjicount() == null){
					returnAccdent.setSanjicount(0);
				} if(returnAccdent.getSijicount() == null){
					returnAccdent.setSijicount(0);
				} if(returnAccdent.getWujicount() == null){
					returnAccdent.setWujicount(0);
				}
				Integer sgzs = returnAccdent.getYijicount()+returnAccdent.getErjicount()
						+returnAccdent.getSanjicount()+returnAccdent.getSijicount()+returnAccdent.getWujicount();
				//returnAccdent.setSgdjsl(sgzs);
				if(returnAccdent.getSgzs()!= null){
					returnAccdent.setSgzs(sgzs+returnAccdent.getSgzs());
				}else{
					returnAccdent.setSgzs(sgzs);

				}
				if(returnAccdent.getSwzs() != null){
					returnAccdent.setSwzs(returnAccdent.getSwrs()+returnAccdent.getSsrs()+returnAccdent.getSwzs());

				}else{
					returnAccdent.setSwzs(returnAccdent.getSwrs()+returnAccdent.getSsrs());

				}
				returnList.add(returnAccdent);
			}
		}
		
		
		int aaa = returnList.stream().mapToInt(AccidentStatementDO :: getYijicount).sum();
		int bbb =returnList.stream().mapToInt(AccidentStatementDO :: getErjicount).sum();
		int ccc =returnList.stream().mapToInt(AccidentStatementDO :: getSanjicount).sum();
		int ddd =returnList.stream().mapToInt(AccidentStatementDO :: getSijicount).sum();
		int eee = returnList.stream().mapToInt(AccidentStatementDO :: getWujicount).sum();
		int fff =returnList.stream().mapToInt(AccidentStatementDO :: getSgzs).sum();
		int hhh = returnList.stream().mapToInt(AccidentStatementDO :: getSwrs).sum();
		int ggg = returnList.stream().mapToInt(AccidentStatementDO :: getSsrs).sum();
		int iii = returnList.stream().mapToInt(AccidentStatementDO :: getSwzs).sum();

//System.out.println(aaa+"---"+bbb+"///"+ccc+"///"+ddd+"***"+eee+"///"+fff+"***"+hhh);
        AccidentStatementDO returnAccdent = new AccidentStatementDO();
        returnAccdent.setQymc("合计");
        returnAccdent.setYijicount(aaa);
        returnAccdent.setErjicount(bbb);
        returnAccdent.setSanjicount(ccc);
        returnAccdent.setSijicount(ddd);
        returnAccdent.setWujicount(eee);
        returnAccdent.setSgzs(fff);
        returnAccdent.setSwrs(hhh);
        returnAccdent.setSsrs(ggg);
        returnAccdent.setSwzs(iii);
        returnList.add(returnAccdent);
		return ResponseWrapper.success(returnList);
	}

	@Override
	public HSSFWorkbook exportByEntity(String createDate) {
		// TODO Auto-generated method stub

		// TODO Auto-generated method stub
		
		/**
		 * 变量
		 */
		int sumColumn = 10;//10为总列数 
		/**
		 * 导出
		 */
		/** 第一步，创建一个Workbook，对应一个Excel文件  */
        HSSFWorkbook wb = new HSSFWorkbook();  
        
        /** 第二步，在Workbook中添加一个sheet,对应Excel文件中的sheet 区分地方1 市级2  区级3 */
        if(createDate != null){
            HSSFSheet sheet = wb.createSheet(createDate+"年安全事故统计表");
   		    wb = this.getCells(sumColumn,sheet,wb,createDate);
        }else{
            HSSFSheet sheet = wb.createSheet("安全事故统计表");
   		    wb = this.getCells(sumColumn,sheet,wb,createDate);
        }
       return wb;
	
	}
	
	/**
     * 创建标题样式
     * @param wb
     * @return
     */
    private static HSSFCellStyle createTitleCellStyle(HSSFWorkbook wb) {
        HSSFCellStyle cellStyle = wb.createCellStyle();
        cellStyle.setAlignment(HorizontalAlignment.CENTER);//水平居中  
        cellStyle.setVerticalAlignment(VerticalAlignment.CENTER);//垂直对齐
        cellStyle.setFillPattern(FillPatternType.SOLID_FOREGROUND); 
        cellStyle.setFillForegroundColor(IndexedColors.GREY_40_PERCENT.getIndex());//背景颜色
        
        HSSFFont headerFont1 = (HSSFFont) wb.createFont(); // 创建字体样式  
        headerFont1.setBold(true); //字体加粗 
        headerFont1.setFontName("宋体"); // 设置字体类型  
        headerFont1.setFontHeightInPoints((short) 10); // 设置字体大小  
        cellStyle.setFont(headerFont1); // 为标题样式设置字体样式 

        return cellStyle;
    }
    
	/**
     * 创建表头样式
     * @param wb
     * @return
     */
    private static HSSFCellStyle createHeadCellStyle(HSSFWorkbook wb) {
        HSSFCellStyle cellStyle = wb.createCellStyle();
        cellStyle.setWrapText(true);// 设置自动换行  
        cellStyle.setFillForegroundColor(IndexedColors.GREY_25_PERCENT.getIndex());//背景颜色
        cellStyle.setAlignment(HorizontalAlignment.CENTER); //水平居中   
        cellStyle.setVerticalAlignment(VerticalAlignment.CENTER); //垂直对齐
        cellStyle.setFillPattern(FillPatternType.SOLID_FOREGROUND); 
        cellStyle.setBottomBorderColor(IndexedColors.BLACK.index);  
        cellStyle.setBorderBottom(BorderStyle.THIN); //下边框
        cellStyle.setBorderLeft(BorderStyle.THIN); //左边框
        cellStyle.setBorderRight(BorderStyle.THIN); //右边框
        cellStyle.setBorderTop(BorderStyle.THIN); //上边框

        HSSFFont headerFont = (HSSFFont) wb.createFont(); // 创建字体样式  
        headerFont.setBold(true); //字体加粗  
        headerFont.setFontName("宋体"); // 设置字体类型  
        headerFont.setFontHeightInPoints((short) 10); // 设置字体大小  
        cellStyle.setFont(headerFont); // 为标题样式设置字体样式  

        return cellStyle;
    }
    
	/**
     * 创建内容样式
     * @param wb
     * @return
     */
    private  HSSFCellStyle createContentCellStyle(HSSFWorkbook wb) {
        HSSFCellStyle cellStyle = wb.createCellStyle();
        cellStyle.setVerticalAlignment(VerticalAlignment.CENTER);// 垂直居中
        cellStyle.setAlignment(HorizontalAlignment.CENTER);// 水平居中
        //cellStyle.setWrapText(true);// 设置自动换行  
        cellStyle.setBorderBottom(BorderStyle.THIN); //下边框
        cellStyle.setBorderLeft(BorderStyle.THIN); //左边框
        cellStyle.setBorderRight(BorderStyle.THIN); //右边框
        cellStyle.setBorderTop(BorderStyle.THIN); //上边框
        
        // 生成12号字体
         HSSFFont font = wb.createFont();
         font.setColor((short)8);
         font.setFontHeightInPoints((short) 9);
        cellStyle.setFont(font);

        return cellStyle;
    }
    
	
	
	@Override
	public HSSFWorkbook getCells(Integer sumColumn,HSSFSheet sheet,HSSFWorkbook wb,String createDate) {
		
		/** 第三步，设置样式以及字体样式*/
        HSSFCellStyle titleStyle = createTitleCellStyle(wb);
        HSSFCellStyle headerStyle = createHeadCellStyle(wb);
        HSSFCellStyle contentStyle = createContentCellStyle(wb);
		
        
        /** 第四步，创建标题 ,合并标题单元格 */
        // 行号
        int rowNum = 0;
        // 创建第一页的第一行，索引从0开始
        HSSFRow row0 = sheet.createRow(rowNum++);
        row0.setHeight((short) 500);// 设置行高
        
        String title = sheet.getSheetName();
        HSSFCell c00 = row0.createCell(0);
        c00.setCellValue(title);
        c00.setCellStyle(titleStyle);
        // 合并单元格，参数依次为起始行，结束行，起始列，结束列 （索引0开始）
        sheet.addMergedRegion(new CellRangeAddress(0, 0, 0, sumColumn-1));//标题合并单元格操作， 
        
     // 第二行
        HSSFRow row1 = sheet.createRow(rowNum++);
        row1.setHeight((short) 500);
        String[] row_first = {"区域", "事故等级", "", "", "", "", "事故总数","受伤人数","死亡人数","伤亡总数"};
        
        
        for (int i = 0; i < sumColumn; i++) {
            HSSFCell tempCell = row1.createCell(i);
            tempCell.setCellStyle(headerStyle);
            tempCell.setCellValue(row_first[i]);
        }
        
        // 合并
        sheet.addMergedRegion(new CellRangeAddress(1, 1, 1, 5));
        
      //第三行
        HSSFRow row2 = sheet.createRow(rowNum++);
        row2.setHeight((short) 500);
        String[] row_second = {"", "一级", "二级", "三级", "四级", "五级", "","","",""};

        for (int i = 0; i < sumColumn; i++) {
        	HSSFCell tempCell = row2.createCell(i);
        	tempCell.setCellValue(row_second[i]);
            tempCell.setCellStyle(headerStyle);
        }

        // 合并
        
        sheet.addMergedRegion(new CellRangeAddress(1, 2, 0, 0));//区域
        sheet.addMergedRegion(new CellRangeAddress(1, 2, 6, 6));//事故总数
        sheet.addMergedRegion(new CellRangeAddress(1, 2, 7, 7));//受伤人数
        sheet.addMergedRegion(new CellRangeAddress(1, 2, 8, 8));//死亡人数
        sheet.addMergedRegion(new CellRangeAddress(1, 2, 9, 9));//伤亡总数

       //放入数据
        ResponseWrapper returnsj = this.selectAccidentStatement(createDate);
        List<AccidentStatementDO> list = (List<AccidentStatementDO>) returnsj.getData();
        
		for (int j = 0; j < list.size()+3; j++) {
			sheet.setColumnWidth(j, 4500);
		}
		
        for (AccidentStatementDO accidentStatementDO : list) {
        	HSSFRow tempRow = sheet.createRow(rowNum++);
            tempRow.setHeight((short) 350);
            
            for (int j = 0; j < sumColumn; j++) {//循环单元格
				//给每一个格子赋值
            	HSSFCell tempCell = tempRow.createCell(j);
                tempCell.setCellStyle(contentStyle);
                if(j==0){
                	tempCell.setCellValue(accidentStatementDO.getQymc());
                }else if(j==1){
                	tempCell.setCellValue(accidentStatementDO.getYijicount());
                }else if(j==2){
                	tempCell.setCellValue(accidentStatementDO.getErjicount());
                }else if(j==3){
                	tempCell.setCellValue(accidentStatementDO.getSanjicount());
                }else if(j==4){
                	tempCell.setCellValue(accidentStatementDO.getSijicount());
                }else if(j==5){
                	 tempCell.setCellValue(accidentStatementDO.getWujicount());
                }else if(j==6){
                	tempCell.setCellValue(accidentStatementDO.getSgzs());
                }else if(j==7){
                	tempCell.setCellValue(accidentStatementDO.getSsrs());
                }else if(j==8){
                	 tempCell.setCellValue(accidentStatementDO.getSwrs());
                }else if(j==9){
                	tempCell.setCellValue(accidentStatementDO.getSwzs());
                }
			}
		}
        return wb;
		
	}
}
