package com.unis.safety.server.service.impl;

import com.github.pagehelper.Page;
import com.unis.common.utils.ResponseWrapper;
import com.unis.safety.common.dto.base.PageResult;
import com.unis.safety.common.vo.safety.DutyVO;
import com.unis.safety.server.domain.safety.DutyDomain;
import com.unis.safety.server.service.DutyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 事故管理实现层
 * @author liugd
 */
@Component
public class DutyServiceImpl implements DutyService {

    @Autowired
    DutyDomain dutyDomain;
    @Override
    public ResponseWrapper insertDuty(DutyVO vo) {
        return dutyDomain.insertDuty(vo);
    }

    @Override
    public ResponseWrapper updateDuty(DutyVO vo) {
        return dutyDomain.updateDuty(vo);
    }

    @Override
    public ResponseWrapper selectDutyPageList(int pageNum, int pageSize, DutyVO vo) {
        Page<DutyVO> voPage=dutyDomain.selectDutyPageList(pageNum,pageSize,vo);
        PageResult<DutyVO> pageResult=new PageResult<>(voPage);
        return ResponseWrapper.success(pageResult);
    }

    @Override
    public ResponseWrapper selectDutyDetail(String id) {
        return dutyDomain.selectDutyDetail(id);
    }

    @Override
    public ResponseWrapper isDuty(String jhsj) {
        return dutyDomain.isDuty(jhsj);
    }

    @Override
    public ResponseWrapper selectDutyByDetail(DutyVO vo) {
        return dutyDomain.selectDutyByDetail(vo);
    }

    @Override
    public ResponseWrapper isAddDuty(String qyxx) {
        return dutyDomain.isAddDuty(qyxx);
    }

    @Override
    public ResponseWrapper selectToDo(DutyVO vo) {
        return dutyDomain.selectToDo(vo);
    }
}
