package com.unis.safety.server.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.common.utils.CurrentUtil;
import com.unis.common.utils.LsBeanUtils;
import com.unis.safety.common.vo.safety.ProdSystemVo;
import com.unis.safety.server.dao.ProdSystemDao;
import com.unis.safety.server.entity.safety.ProdSystemDo;
import com.unis.safety.server.service.ProdSystemService;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * @author by PIG
 * @date 2022/3/16 11
 */
@Service
public class ProdSystemServiceImpl implements ProdSystemService {

    @Autowired
    private ProdSystemDao prodSystemDao;


    @Override
    public PageInfo<ProdSystemVo> pageInfo(ProdSystemVo viewObj, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        String[] upload_times = viewObj.getUpload_times();
        if (null != upload_times) {
            viewObj.setUpload_time_begin(upload_times[0]);
            viewObj.setUpload_time_end(upload_times[1]);
        }

        List<ProdSystemDo> list = prodSystemDao.listInfo(viewObj);
        PageInfo<ProdSystemDo> PageInfoDO = new PageInfo<>(list);
        PageInfo<ProdSystemVo> pageInfoVO = new PageInfo<>();
        LsBeanUtils.copyAllProperties(PageInfoDO, pageInfoVO);
        return pageInfoVO;
    }

    @Override
    public ProdSystemVo getInfoById(String fid) {
        ProdSystemDo dataObj = prodSystemDao.getInfoById(fid);
        if (null == dataObj) {
            return null;
        }
        ProdSystemVo viewObj = new ProdSystemVo();
        LsBeanUtils.copyAllProperties(dataObj, viewObj);
        return viewObj;
    }

    @Override
    public int insertInfo(ProdSystemVo viewObj) {
        ProdSystemDo dataObj = new ProdSystemDo();
        LsBeanUtils.copyAllProperties(viewObj, dataObj);
        dataObj.setCreator(CurrentUtil.getUserName());
        dataObj.setCreatorCode(CurrentUtil.getUserId());
        dataObj.setCreateDate(new Date());
        dataObj.setOrgId(CurrentUtil.getOrgId());
        dataObj.setOrgName(CurrentUtil.getOrgName());
        //System.out.println(dataObj.getOrgId()+"//////"+dataObj.getOrgName());
        int r = prodSystemDao.insertInfo(dataObj);
        return r;
    }

    @Override
    public int updateInfo(ProdSystemVo viewObj) {
        ProdSystemDo dataObj = new ProdSystemDo();
        LsBeanUtils.copyAllProperties(viewObj, dataObj);
        dataObj.setRefresher(CurrentUtil.getUserName());
        dataObj.setRefresherCode(CurrentUtil.getUserId());
        dataObj.setRefreshTime(new Date());
        dataObj.setOrgId(CurrentUtil.getOrgId());
        dataObj.setOrgName(CurrentUtil.getOrgName());
        int r = prodSystemDao.updateInfo(dataObj);
        return r;
    }

    @Override
    public int removeInfo(String fid) {
        return prodSystemDao.updateStatusById(fid);
    }

    @Override
    public int deleteInfo(String fid) {
        if (StringUtils.isEmpty(fid)) {
            return  -1;
        }
        return prodSystemDao.deleteInfoById(fid);
    }
}
