package com.unis.safety.server.service.impl;

import com.github.pagehelper.Page;
import com.unis.common.utils.ResponseWrapper;
import com.unis.safety.common.dto.base.PageResult;
import com.unis.safety.common.vo.safety.TrainingVO;
import com.unis.safety.server.domain.safety.TrainingDomain;
import com.unis.safety.server.service.TrainingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 事故管理实现层
 * @author liugd
 */
@Component
public class TrainingServiceImpl implements TrainingService {

    @Autowired
    TrainingDomain trainingDomain;
    @Override
    public ResponseWrapper insertTraining(TrainingVO vo) {
        return trainingDomain.insertTraining(vo);
    }

    @Override
    public ResponseWrapper updateTraining(TrainingVO vo) {
        return trainingDomain.updateTraining(vo);
    }

    @Override
    public ResponseWrapper selectTrainingPageList(int pageNum, int pageSize, TrainingVO vo) {
        Page<TrainingVO> voPage=trainingDomain.selectTrainingPageList(pageNum,pageSize,vo);
        PageResult<TrainingVO> pageResult=new PageResult<>(voPage);
        return ResponseWrapper.success(pageResult);
    }

    @Override
    public ResponseWrapper selectTrainingDetail(String id) {
        return trainingDomain.selectTrainingDetail(id);
    }

    @Override
    public ResponseWrapper deleteTraining(String id) {
        return trainingDomain.deleteTraining(id);
    }

    @Override
    public ResponseWrapper uploadTraining(TrainingVO vo) {
        return null;
    }

    @Override
    public List<TrainingVO> selectTrainingList(String date) {
        return trainingDomain.selectTrainingList(date);
    }

    @Override
    public void updateTrain(TrainingVO trainingVO) {
         trainingDomain.updateTrain(trainingVO);
    }
}
